Major Vulnerability In WP Bakery Upgrade Now

wp bakery page builder logo

Share This Post

Share on facebook
Share on linkedin
Share on twitter
Share on email

Wordfence the WordPress security company has reported a major vulnerability in WP Bakery’s page builder plugin for any version below the latest 6.4.1.

This is a huge deal because WP Bakery’s page builder plugin is widely used in the WordPress ecosystem and WordPress at last count powers upwards of 38% of the websites on the internet.

As many of you know, I’m not a big fan of WP Bakery’s page builder. I think it’s clunky and not easy to use. But many theme providers include, often an outdated version, with their themes for editing purposes.

A yearly license isn’t that expensive at $45, but for many, it might be time to migrate to a more modern page builder like Elementor.

If you are interested in discussing your options for migrating to a more modern page builder, please reach out to us.

More To Explore

person working on SEO

Not All SEO Tools Are Equal

I’ve been in the digital marketing space in some way or another since the late 1990s. In 2010, I dove into learning the art of

Do You Want To Boost Your Business?

Hit the button below to drop us a line

Scroll to Top Skip to content